QGIS Application - Bug report #15392
Weird behaviour with .osm file
2016-08-04 01:10 PM - Johannes Kroeger

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.16.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 23322
Description

https://transfer.sh/6di8E/europe-railway-station.osm will be available for 2 weeks from now.

Two different options to get weird behaviour:

a) Launch QGIS, open the file, load the points layer. The map canvas is not focused on the data nor does "zoom to layer" work. If | zoom
out a lot however, it gets shown.

b) Launch QGIS while passing the filename as argument, again load the points layer. The map canvas is empty and does not react to
mouse. Changing the scale with the dropdown does not work.
Now if you load any other file, the canvas reacts again and the points from the osm file get displayed.

The console gets spammed with "ERROR 1: Non increasing node id. Use OSM_USE_CUSTOM_INDEXING=NO" but | tried "ogr2ogr -f
GPKG europe_railway-station.osm.gpkg europe_railway-station.osm" which resulted in a valid file even with those errors.

On Archlinux:

QGIS version 2.16.0-NA debo

QGIS code branch Release 2.16
Compiled against Qt 4.8.7

Running against Qt 4.8.7

Compiled against GDAL/OGR 2.1.0
Running against GDAL/OGR 2.1.0
Compiled against GEOS 3.5.0-CAPI-1.9.0
Running against GEOS 3.5.0-CAPI-1.9.0 r4084
PostgreSQL Client Version 9.5.3
SpatiaLite Version 4.3.0a

QWT Version 6.1.2

PROJ.4 Version 492

QScintilla2 Version 2.9.2

History

#1 - 2016-08-04 01:11 PM - Johannes Kroeger

I should have added: The .osm file came straight from the overpass API.

#2 - 2016-08-05 05:22 AM - Andre Joost

Possible duplicate of #10000
https://transfer.sh/6di8E/europe-railway-station.osm

You can not zoom to extent because there is no extent written to the layers metadata. Saving to a spatialite database before loading into OSM can

overcome that problem.

#3 - 2017-05-01 01:03 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#4 - 2017-09-22 09:55 AM - Jiirgen Fischer
- Category set to Unknown

#5 - 2019-03-09 03:08 PM - Giovanni Manghi

- Status changed from Open to Closed
- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.
The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and
support the project even more, for the long term improvement and sustainability of the QGIS project.
